The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Oracle MySQL: vulnerabilities of April 2019

Synthesis of the vulnerability 

Several vulnerabilities were announced in Oracle products.
Impacted software: Fedora, IBM API Connect, MariaDB ~ precise, MySQL Community, MySQL Enterprise, openSUSE Leap, Solaris, Percona Server, RHEL, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Severity of this computer vulnerability: 3/4.
Number of vulnerabilities in this bulletin: 41.
Creation date: 17/04/2019.
Références of this announce: 1170046, bulletinjul2019, CERTFR-2019-AVI-175, cpuapr2019, CVE-2018-3123, CVE-2019-2566, CVE-2019-2580, CVE-2019-2581, CVE-2019-2584, CVE-2019-2585, CVE-2019-2587, CVE-2019-2589, CVE-2019-2592, CVE-2019-2593, CVE-2019-2596, CVE-2019-2606, CVE-2019-2607, CVE-2019-2614, CVE-2019-2617, CVE-2019-2620, CVE-2019-2623, CVE-2019-2624, CVE-2019-2625, CVE-2019-2626, CVE-2019-2627, CVE-2019-2628, CVE-2019-2630, CVE-2019-2631, CVE-2019-2632, CVE-2019-2634, CVE-2019-2635, CVE-2019-2636, CVE-2019-2644, CVE-2019-2681, CVE-2019-2683, CVE-2019-2685, CVE-2019-2686, CVE-2019-2687, CVE-2019-2688, CVE-2019-2689, CVE-2019-2691, CVE-2019-2692, CVE-2019-2693, CVE-2019-2694, CVE-2019-2695, FEDORA-2019-093e481b3d, FEDORA-2019-c106e46a95, ibm10887651, openSUSE-SU-2019:1913-1, openSUSE-SU-2019:1915-1, RHSA-2019:2327-01, RHSA-2019:2484-01, RHSA-2019:2511-01, RHSA-2019:3708-01, RHSA-2020:4174-01, SUSE-SU-2019:2020-1, SUSE-SU-2019:2330-1, SUSE-SU-2019:2687-1, USN-3957-1, USN-3957-2, USN-3957-3, VIGILANCE-VUL-29050.

Description of the vulnerability 

Several vulnerabilities were announced in Oracle products.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This threat announce impacts software or systems such as Fedora, IBM API Connect, MariaDB ~ precise, MySQL Community, MySQL Enterprise, openSUSE Leap, Solaris, Percona Server, RHEL, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Our Vigil@nce team determined that the severity of this cybersecurity alert is important.

The trust level is of type confirmed by the editor, with an origin of document.

This bulletin is about 41 vulnerabilities.

An attacker with a expert ability can exploit this security alert.

Solutions for this threat 

MySQL: version 8.0.16.
The version 8.0.16 is fixed:
  https://support.oracle.com/rs?type=doc&id=2522850.1
  https://www.mysql.com/fr/

MySQL: version 5.7.26.
The version 5.7.26 is fixed:
  https://support.oracle.com/rs?type=doc&id=2522850.1
  https://www.mysql.com/fr/

MySQL: version 5.6.44.
The version 5.6.44 is fixed:
  https://support.oracle.com/rs?type=doc&id=2522850.1
  https://www.mysql.com/fr/

Fedora 30: new community-mysql packages.
New packages are available:
  Fedora 30: community-mysql 8.0.17-2.fc30

Fedora: new community-mysql packages.
New packages are available:
  Fedora 30: community-mysql 8.0.16-1.fc30

IBM API Connect: patch for MySQL (03/03/2020).
A patch is indicated in information sources.

IBM API Connect: patch for MySQL (20/01/2020).
A patch is indicated in information sources.

IBM API Connect: patch for MySQL (27/06/2019).
A patch is indicated in information sources.

MariaDB: version 10.1.39.
The version 10.1.39 is fixed:
  https://downloads.mariadb.org/mariadb/10.1.39

MariaDB: version 10.2.24.
The version 10.2.24 is fixed:
  https://mariadb.com/downloads/?showall=1&tab=mariadb_platform&group=mariadb_server&version=10.2.24-GA

MariaDB: version 10.3.15.
The version 10.3.15 is fixed.

MariaDB: version 5.5.64.
The version 5.5.64 is fixed:
  https://mariadb.com/downloads/?showall=1&tab=mariadbtx&group=mariadb_server&version=5.5.64

openSUSE Leap: new mariadb packages.
New packages are available:
  openSUSE Leap 15.0: mariadb 10.2.25-lp150.2.13.1
  openSUSE Leap 15.1: mariadb 10.2.25-lp151.2.3.1

Oracle Solaris: patch for third party software of July 2019 v2.
A patch is available:
  https://support.oracle.com/rs?type=doc&id=1448883.1

Percona Server: version 5.7.26-29.
The version 5.7.26-29 is fixed:
  https://www.percona.com/

Percona XtraDB Cluster: version 5.7.26-31.37.
The version 5.7.26-31.37 is fixed:
  https://www.percona.com/

RHEL 6, 7: new rh-mariadb102-mariadb packages.
New packages are available:
  RHEL 6.0-6.10: rh-mariadb102-mariadb 10.2.33-1.el6
  RHEL 7.0-7.9: rh-mariadb102-mariadb 10.2.33-1.el7

RHEL 7: new mariadb packages (06/08/2019).
New packages are available:
  RHEL 7: mariadb 5.5.64-1.el7

RHEL 7: new rh-mysql80-mysql packages.
New packages are available:
  RHEL 7: rh-mysql80-mysql 8.0.17-1.el7

RHEL 8: new mariadb-10.3 module.
The following module is updated:
  RHEL 8 Module: mariadb:10.3

RHEL 8: new mysql-8.0 module.
The following module is updated:
  RHEL 8 Module: mysql:8.0

SUSE LE 12 SP4: new mariadb-100 packages.
New packages are available:
  SUSE LE 12 SP4: mariadb-100 10.0.40.1-2.9.1

SUSE LE 12 SP4: new mariadb packages.
New packages are available:
  SUSE LE 12 SP4: mariadb 10.2.25-3.19.2

SUSE LE 15: new mariadb packages.
New packages are available:
  SUSE LE 15 RTM: mariadb 10.2.25-3.17.2
  SUSE LE 15 SP1: mariadb 10.2.25-3.17.2

Ubuntu: new mariadb-server packages.
New packages are available:
  Ubuntu 14.04 ESM: mariadb-server 5.5.64-1ubuntu0.14.04.1
  Ubuntu 18.04 LTS: mariadb-server 1:10.1.40-0ubuntu0.18.04.1

Ubuntu: new mysql-server-5.7 packages.
New packages are available:
  Ubuntu 19.04: mysql-server-5.7 5.7.26-0ubuntu0.19.04.1
  Ubuntu 18.10: mysql-server-5.7 5.7.26-0ubuntu0.18.10.1
  Ubuntu 18.04 LTS: mysql-server-5.7 5.7.26-0ubuntu0.18.04.1
  Ubuntu 16.04 LTS: mysql-server-5.7 5.7.26-0ubuntu0.16.04.1

Wind River Linux: solution (21/05/2019).
The solution is indicated in information sources.

Wind River Linux: version 10.17.41.19.
The version 10.17.41.19 is fixed.

Wind River Linux: version 10.18.44.12.
The version 10.18.44.12 is fixed:
  https://support2.windriver.com/
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides computers vulnerabilities announces. The Vigil@nce vulnerability database contains several thousand vulnerabilities.